#
# spec file for package pax (Version 3.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           pax
Summary:        POSIX File System Archiver
Version:        3.4
Release:        14.2
License:        BSD
Autoreqprov:    on
Prefix:         %{_prefix}
Group:          Productivity/Archiving/Backup
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Pax is the POSIX standard archive tool.  It supports the two most
common forms of standard archive (backup) files - CPIO and TAR.



%debug_package
%prep
%setup -q

%build
export CFLAGS=$RPM_OPT_FLAGS
%ifarch %arm
export CFLAGS="$CFLAGS -Wno-cast-align"
%endif
./configure --prefix=%{_prefix} --mandir=%{_mandir} %{_target_cpu}-suse-linux
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/pax
%doc %{_mandir}/man1/*

%changelog -n pax
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 - uli@suse.de
- disable alignment warnings on ARM
* Mon Aug 01 2005 - kukuk@suse.de
- Fix LFS support on 64bit archs
* Fri Jul 29 2005 - kukuk@suse.de
- Update to pax 3.3 (LFS and -O option added)
* Mon Apr 25 2005 - kukuk@suse.de
- Fix -Wmissing-format-attribute warnings
* Fri Apr 01 2005 - kukuk@suse.de
- Fix for gcc4
* Fri Oct 17 2003 - kukuk@suse.de
- Update to pax 3.2 (sync with OpenBSD version, fix compiler
  warnings).
* Fri Jan 17 2003 - kukuk@suse.de
- Update to pax 3.1 (sync with OpenBSD version, fix compiler
  warnings).
* Tue Jan 01 2002 - kukuk@suse.de
- New version, passes now all LSB tests
* Fri Dec 14 2001 - kukuk@suse.de
- Initial version
